/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-02-26
 * 描述            ：产能井月产能设置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.com.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.ComBaseWellMonthMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_WELL_MONTH", namespace=ComBaseWellMonthMapper.class)
public class ComBaseWellMonth extends BaseVO implements Serializable {
	/** 
	 * 产能井代码
	 */ 
	@Id
	private String well_code;
	public String  getWell_code() {
		return this.well_code;
	}
	public void setWell_code(String well_code) {
		this.well_code = well_code;
	}

	/** 
	 * 产能井描述
	 */ 
	@Column
	private String well_name;
	public String  getWell_name() {
		return this.well_name;
	}
	public void setWell_name(String well_name) {
		this.well_name = well_name;
	}

	/** 
	 * 年份(4位)
	 */ 
	@Id
	private Long year;
	public Long  getYear() {
		return this.year;
	}
	public void setYear(Long year) {
		this.year = year;
	}

	/** 
	 * 1月产能值
	 */ 
	@Column
	private Long month_1;
	public Long  getMonth_1() {
		return this.month_1;
	}
	public void setMonth_1(Long month_1) {
		this.month_1 = month_1;
	}

	/** 
	 * 2月产能值
	 */ 
	@Column
	private Long month_2;
	public Long  getMonth_2() {
		return this.month_2;
	}
	public void setMonth_2(Long month_2) {
		this.month_2 = month_2;
	}

	/** 
	 * 3月产能值
	 */ 
	@Column
	private Long month_3;
	public Long  getMonth_3() {
		return this.month_3;
	}
	public void setMonth_3(Long month_3) {
		this.month_3 = month_3;
	}

	/** 
	 * 4月产能值
	 */ 
	@Column
	private Long month_4;
	public Long  getMonth_4() {
		return this.month_4;
	}
	public void setMonth_4(Long month_4) {
		this.month_4 = month_4;
	}

	/** 
	 * 5月产能值
	 */ 
	@Column
	private Long month_5;
	public Long  getMonth_5() {
		return this.month_5;
	}
	public void setMonth_5(Long month_5) {
		this.month_5 = month_5;
	}

	/** 
	 * 6月产能值
	 */ 
	@Column
	private Long month_6;
	public Long  getMonth_6() {
		return this.month_6;
	}
	public void setMonth_6(Long month_6) {
		this.month_6 = month_6;
	}

	/** 
	 * 7月产能值
	 */ 
	@Column
	private Long month_7;
	public Long  getMonth_7() {
		return this.month_7;
	}
	public void setMonth_7(Long month_7) {
		this.month_7 = month_7;
	}

	/** 
	 * 8月产能值
	 */ 
	@Column
	private Long month_8;
	public Long  getMonth_8() {
		return this.month_8;
	}
	public void setMonth_8(Long month_8) {
		this.month_8 = month_8;
	}

	/** 
	 * 9月产能值
	 */ 
	@Column
	private Long month_9;
	public Long  getMonth_9() {
		return this.month_9;
	}
	public void setMonth_9(Long month_9) {
		this.month_9 = month_9;
	}

	/** 
	 * 10月产能值
	 */ 
	@Column
	private Long month_10;
	public Long  getMonth_10() {
		return this.month_10;
	}
	public void setMonth_10(Long month_10) {
		this.month_10 = month_10;
	}

	/** 
	 * 11月产能值
	 */ 
	@Column
	private Long month_11;
	public Long  getMonth_11() {
		return this.month_11;
	}
	public void setMonth_11(Long month_11) {
		this.month_11 = month_11;
	}

	/** 
	 * 12月产能值
	 */ 
	@Column
	private Long month_12;
	public Long  getMonth_12() {
		return this.month_12;
	}
	public void setMonth_12(Long month_12) {
		this.month_12 = month_12;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
